Index: src/main/java/de/mpiwg/itgroup/annotations/Actor.java
===================================================================
--- src/main/java/de/mpiwg/itgroup/annotations/Actor.java	(revision 18)
+++ src/main/java/de/mpiwg/itgroup/annotations/Actor.java	(revision 58)
@@ -5,4 +5,5 @@
 
 import de.mpiwg.itgroup.annotations.neo4j.AnnotationStore;
+import de.mpiwg.itgroup.annotations.restlet.BaseRestlet;
 
 /**
@@ -112,7 +113,7 @@
     public static String getIdFromUri(String uri, boolean isGroup) {
         String id = null;
-        String prefix = NS.MPIWG_PERSONS_URL;
+        String prefix = BaseRestlet.PERSONS_URI_PREFIX;
         if (isGroup) {
-            prefix = NS.MPIWG_GROUPS_URL;
+            prefix = BaseRestlet.GROUPS_URI_PREFIX;
         }
         if (uri != null && uri.startsWith(prefix)) {
@@ -130,7 +131,7 @@
     public static String getUriFromId(String id, boolean isGroup) {
         String uri = null;
-        String prefix = NS.MPIWG_PERSONS_URL;
+        String prefix = BaseRestlet.PERSONS_URI_PREFIX;
         if (isGroup) {
-            prefix = NS.MPIWG_GROUPS_URL;
+            prefix = BaseRestlet.GROUPS_URI_PREFIX;
         }
         if (id != null && !id.startsWith("http://")) {
Index: src/main/java/de/mpiwg/itgroup/annotations/NS.java
===================================================================
--- src/main/java/de/mpiwg/itgroup/annotations/NS.java	(revision 28)
+++ src/main/java/de/mpiwg/itgroup/annotations/NS.java	(revision 58)
@@ -2,7 +2,4 @@
 
 public class NS {
-    public static final String MPIWG_PERSONS_URL = "http://entities.mpiwg-berlin.mpg.de/persons/";
-    public static final String MPIWG_TAGS_URL = "http://entities.mpiwg-berlin.mpg.de/tags/";
-    public static final String MPIWG_GROUPS_URL = "http://entities.mpiwg-berlin.mpg.de/groups/";
     public static final String OAC_NS = "http://www.openannotation.org/ns/";
     public static final String CNT_NS = "http://www.w3.org/2011/content#";
Index: src/main/java/de/mpiwg/itgroup/annotations/Tag.java
===================================================================
--- src/main/java/de/mpiwg/itgroup/annotations/Tag.java	(revision 28)
+++ src/main/java/de/mpiwg/itgroup/annotations/Tag.java	(revision 58)
@@ -1,3 +1,5 @@
 package de.mpiwg.itgroup.annotations;
+
+import de.mpiwg.itgroup.annotations.restlet.BaseRestlet;
 
 /**
@@ -19,5 +21,5 @@
 		public String getUri() {
 			if (uri==null){
-				return NS.MPIWG_TAGS_URL+getId(); // erzeuge uri aus if falls keine ID
+				return BaseRestlet.TAGS_URI_PREFIX+getId(); // erzeuge uri aus if falls keine ID
 			}
 			return uri;
Index: src/main/java/de/mpiwg/itgroup/annotations/restlet/AnnotatorAnnotationsByTags.java
===================================================================
--- src/main/java/de/mpiwg/itgroup/annotations/restlet/AnnotatorAnnotationsByTags.java	(revision 50)
+++ src/main/java/de/mpiwg/itgroup/annotations/restlet/AnnotatorAnnotationsByTags.java	(revision 58)
@@ -15,5 +15,4 @@
 
 import de.mpiwg.itgroup.annotations.Annotation;
-import de.mpiwg.itgroup.annotations.NS;
 import de.mpiwg.itgroup.annotations.Person;
 import de.mpiwg.itgroup.annotations.neo4j.AnnotationStore;
@@ -56,5 +55,5 @@
         
         AnnotationStore store = getAnnotationStore();
-  	  	String tagUri=NS.MPIWG_TAGS_URL+id;
+        String tagUri = BaseRestlet.TAGS_URI_PREFIX + id;
         List<Annotation> annotations = store.getAnnotationsByTag(tagUri);
         
Index: src/main/java/de/mpiwg/itgroup/annotations/restlet/AnnotatorResourceImpl.java
===================================================================
--- src/main/java/de/mpiwg/itgroup/annotations/restlet/AnnotatorResourceImpl.java	(revision 57)
+++ src/main/java/de/mpiwg/itgroup/annotations/restlet/AnnotatorResourceImpl.java	(revision 58)
@@ -38,5 +38,4 @@
 import de.mpiwg.itgroup.annotations.Annotation.FragmentTypes;
 import de.mpiwg.itgroup.annotations.Group;
-import de.mpiwg.itgroup.annotations.NS;
 import de.mpiwg.itgroup.annotations.Person;
 import de.mpiwg.itgroup.annotations.Resource;
@@ -522,5 +521,5 @@
                 userUri = username;
             } else {
-                userUri = NS.MPIWG_PERSONS_URL + username;
+                userUri = BaseRestlet.PERSONS_URI_PREFIX + username;
             }
         }
Index: src/main/java/de/mpiwg/itgroup/annotations/restlet/AnnotatorRestlet.java
===================================================================
--- src/main/java/de/mpiwg/itgroup/annotations/restlet/AnnotatorRestlet.java	(revision 57)
+++ src/main/java/de/mpiwg/itgroup/annotations/restlet/AnnotatorRestlet.java	(revision 58)
@@ -15,5 +15,5 @@
 public class AnnotatorRestlet extends BaseRestlet {
 
-    public final String version = "AnnotationManagerN4J/Annotator 0.2.3";
+    public final String version = "AnnotationManagerN4J/Annotator 0.2.4";
 
     public static Logger logger = Logger.getLogger(AnnotatorRestlet.class);
Index: src/main/java/de/mpiwg/itgroup/annotations/restlet/AnnotatorTags.java
===================================================================
--- src/main/java/de/mpiwg/itgroup/annotations/restlet/AnnotatorTags.java	(revision 50)
+++ src/main/java/de/mpiwg/itgroup/annotations/restlet/AnnotatorTags.java	(revision 58)
@@ -15,5 +15,4 @@
 import org.restlet.resource.Get;
 
-import de.mpiwg.itgroup.annotations.NS;
 import de.mpiwg.itgroup.annotations.Tag;
 import de.mpiwg.itgroup.annotations.neo4j.AnnotationStore;
@@ -60,5 +59,5 @@
     protected Representation getTag(String id){
     	  AnnotationStore store = getAnnotationStore();
-    	  String tagUri=NS.MPIWG_TAGS_URL+id;
+    	  String tagUri = BaseRestlet.TAGS_URI_PREFIX + id;
           Node tagNode = store.getTagNodeByUri(tagUri);
           Tag tag = store.createTagFromNode(tagNode);
Index: src/main/java/de/mpiwg/itgroup/annotations/restlet/BaseRestlet.java
===================================================================
--- src/main/java/de/mpiwg/itgroup/annotations/restlet/BaseRestlet.java	(revision 57)
+++ src/main/java/de/mpiwg/itgroup/annotations/restlet/BaseRestlet.java	(revision 58)
@@ -79,7 +79,25 @@
      * run in authorization mode i.e. with tokens.
      */
-    protected boolean authorizationMode = false; 
+    protected boolean authorizationMode = false;
     public static final String AUTHORIZATION_MODE_KEY = "annotationmanager.authorization";
     
+    /**
+     * prefix to create uris for tags in store.
+     */
+    public static String TAGS_URI_PREFIX = "";
+    public static final String TAGS_URI_KEY = "annotationmanager.uris.tags";
+
+    /**
+     * prefix to create uris for persons in store.
+     */
+    public static String PERSONS_URI_PREFIX = "";
+    public static final String PERSONS_URI_KEY = "annotationmanager.uris.persons";
+
+    /**
+     * prefix to create uris for groups in store.
+     */
+    public static String GROUPS_URI_PREFIX = ""; 
+    public static final String GROUPS_URI_KEY = "annotationmanager.uris.groups";
+
     /**
      * constructor
@@ -185,4 +203,19 @@
                 sc.setAttribute(CONSUMERKEYS_KEY, consumerKeys);
             }
+            /*
+             * read uri prefixes
+             */
+            String pup = (String) sc.getAttribute(PERSONS_URI_KEY);
+            if (pup != null) {
+                BaseRestlet.PERSONS_URI_PREFIX = pup;
+            }
+            String gup = (String) sc.getAttribute(GROUPS_URI_KEY);
+            if (gup != null) {
+                BaseRestlet.GROUPS_URI_PREFIX = gup;
+            }
+            String tup = (String) sc.getAttribute(TAGS_URI_KEY);
+            if (tup != null) {
+                BaseRestlet.TAGS_URI_PREFIX = tup;
+            }
         } else {
             logger.error("Unable to get ServletContext!");
Index: src/main/webapp/WEB-INF/serverconfig.property.template
===================================================================
--- src/main/webapp/WEB-INF/serverconfig.property.template	(revision 57)
+++ src/main/webapp/WEB-INF/serverconfig.property.template	(revision 58)
@@ -6,2 +6,5 @@
 annotationmanager.admin.user = adminuser
 annotationmanager.admin.password = adminpw
+annotationmanager.uris.tags = http://entities.mpiwg-berlin.mpg.de/tags/
+annotationmanager.uris.persons = http://entities.mpiwg-berlin.mpg.de/persons/
+annotationmanager.uris.groups = http://entities.mpiwg-berlin.mpg.de/groups/
